Last modified: 2013-08-04 17:08:54 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 44747 - Dummy code set as $wgLanguage = dummyLanguageCode confuses message system
Dummy code set as $wgLanguage = dummyLanguageCode confuses message system
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Internationalization (Other open bugs)
1.21.x
All All
: Normal normal (vote)
: ---
Assigned To: Niklas Laxström
:
Depends on:
Blocks: 44493
  Show dependency treegraph
 
Reported: 2013-02-07 13:59 UTC by Pavel Selitskas [wizardist]
Modified: 2013-08-04 17:08 UTC (History)
6 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Pavel Selitskas [wizardist] 2013-02-07 13:59:01 UTC
Since Language uses proper language codes in favour of dummy codes (simple -> en), message system goes wrong:

1. MediaWiki root pages are treated as 'simple' (wgLanguageCode)
2. Message system gets 'en' instead of 'simple'
3. Using MediaWiki:xyz/en

Reason: Bug 44550, Bug 44493, and other wikis, having a dummy language in wgLanguageCode. Although, that is also a configuration issue, but it seems kind of ill.
Comment 1 Niklas Laxström 2013-02-07 14:16:14 UTC
Perhaps we can document this as "don't do this".
Comment 2 Pavel Selitskas [wizardist] 2013-02-07 14:18:24 UTC
(In reply to comment #1)
> Perhaps we can document this as "don't do this".

"Don't set a dummy code"? If you see this as an acceptable solution (I do), then OK.
Comment 3 Niklas Laxström 2013-02-08 04:51:29 UTC
Included in https://gerrit.wikimedia.org/r/48077
Comment 4 Pavel Selitskas [wizardist] 2013-03-09 21:42:43 UTC
Scope of wgLanguageCode now is limited in documentation, stable work with dummy codes not guaranteed.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links